@import url("https://fonts.googleapis.com/css2?family=Cinzel+Decorative:wght@400;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  font-size: 2rem;
  height: 100vh;
  color: #222;
  background-color: #88c5f4;
  display: flex;
  align-items: center;
  justify-content: center;
}

.app {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  gap: 4rem;
  padding: 6rem 0;
  /* border: 2px solid #222;
  outline: 2px solid #222; */
  outline-offset: 1.2rem;
}

h1 {
  font-weight: 400;
  font-size: 6rem;
  letter-spacing: 2px;
  word-spacing: 5px;
}

h2 {
  text-align: center;
  margin-bottom: 2.4rem;
}

input {
  font-family: inherit;
  color: inherit;
  font-size: 2rem;
  background-color: #cee1f0;
  padding: 1.6rem 3.2rem;
  border: none;
  width: 32rem;
}

input:focus {
  outline: 2px solid #222;
}

.weather {
  list-style: none;
  display: flex;
  gap: 2.4rem;
  flex-wrap: wrap;
  justify-content: center;
}

.day {
  background-color: #cee1f0;
  padding: 1.6rem 0 2rem;
  width: 12.8rem;

  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.2rem;
  cursor: pointer;
}

.day span {
  font-size: 5.2rem;
}

.day.important {
  background-color: #1fbc59;
  outline: 2px solid #222;
}

.loader {
  font-size: 2.4rem;
  font-weight: 700;
}
